import { FG_Plugin } from '@flaschengeist/types';
import { defineAsyncComponent } from 'vue';
import routes from './routes';
import { DisplayNameMode } from './models';

const plugin: FG_Plugin.Plugin = {
  id: 'users',
  name: 'User',
  innerRoutes: routes,
  requiredModules: [['auth'], ['users'], ['roles']],
  version: '0.0.1',
  widgets: [
    {
      priority: 1,
      name: 'greeting',
      permissions: [],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
  settingWidgets: [
    {
      priority: 1,
      name: 'userSettings',
      permissions: [],
      widget: defineAsyncComponent(() => import('./components/SettingWidget.vue')),
    },
  ],
};

export default plugin;
export { DisplayNameMode };
